package de.szut.casino.user;

import de.szut.casino.user.dto.CreateUserDto;
import de.szut.casino.user.dto.GetUserDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
public class UserService {
    @Autowired
    private UserRepository userRepository;

    public UserEntity createUser(CreateUserDto createUserDto) {
        UserEntity user = new UserEntity();
        user.setUsername(createUserDto.getUsername());
        user.setKeycloakId(createUserDto.getKeycloakId());
        userRepository.save(user);

        return user;
    }

    public GetUserDto getUser(String keycloakId) {
        Optional<UserEntity> user = this.userRepository.findOneByKeycloakId(keycloakId);
        if (user.isPresent()) {
            System.out.println(user.get());
            GetUserDto getUserDto = new GetUserDto();
            getUserDto.setKeycloakId(user.get().getKeycloakId());
            getUserDto.setUsername(user.get().getUsername());
            return getUserDto;
        }
        System.out.println("User not found: "+keycloakId);

        return null;
    }
}
